CUT(1)

NAMN
cut — ta bort delar från varje rad i filer

SYNOPSIS
cut FLAGGA... [FIL]...

BESKRIVNING

Skriv valda delar av rader från varje FIL till standard ut.

Utan FIL, eller när FIL är -, läs standard in.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-b, --bytes=LISTA
    Välj endast dessa byte.

-c, --characters=LISTA
    Välj endast dessa tecken.

-d, --delimiter=AVSKILJ
    Använd AVSKILJ i stället för TAB som fältavskiljare.

-f, --fields=LISTA
    Välj endast dessa fält; skriv också ut rader som saknar avskiljare, om inte flaggan -s anges.

-n  (ignorerad)

--complement
    Tar komplementet av de valda byten, tecknen eller fälten.

-s, --only-delimited
    Skriv inte ut rader som saknar fältavskiljare.

--output-delimiter=STRÄNG
    Använd STRÄNG som avskiljare vid utmatning standard är att använda inmatningsavskiljaren.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Använd en och endast en av -b, -c eller -f. Varje LISTA består av ett intervall, eller flera intervall avskiljda med komman. Utvald indata skrivs i samma ordning som den läses, och skrivs exakt en gång. Varje intervall är en av:

N   N:e byte, tecken eller fält, räknat från 1.

N-  Från N:e byte, tecken eller fält, till radslut.

N-M Från N:e till och med M:e byte, tecken eller fält.

-M  Från första till och med M:e byte, tecken eller fält.

UPPHOVSMAN
Skrivet av David M. Ihnat, David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/cut>
eller tillgängligt lokalt via: info '(coreutils) cut invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.